Loading...
Searching...
No Matches
casacore::TaQLRecFldNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a record field. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLRecFldNodeRep (const String &name, const TaQLNode &values, const String &dtype)
| TaQLRecFldNodeRep (const String &name, const TaQLRecFldNodeRep &)
| TaQLRecFldNodeRep (const String &name, const String &fromName, const String &dtype)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

String | itsName
String | itsFromName
String | itsDtype
TaQLNode | itsValues

## Detailed Description

Raw TaQL parse tree node defining a record field.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the parts of a record field.

Definition at line 1075 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLRecFldNodeRep() [1/3]

casacore::TaQLRecFldNodeRep::TaQLRecFldNodeRep | ( | const String & | name,
|  | const TaQLNode & | values,
|  | const String & | dtype )

References casacore::name().

Referenced by TaQLRecFldNodeRep().

## TaQLRecFldNodeRep() [2/3]

casacore::TaQLRecFldNodeRep::TaQLRecFldNodeRep | ( | const String & | name,
|  | const TaQLRecFldNodeRep & | )

References casacore::name(), and TaQLRecFldNodeRep().

## TaQLRecFldNodeRep() [3/3]

casacore::TaQLRecFldNodeRep::TaQLRecFldNodeRep | ( | const String & | name,
|  | const String & | fromName,
|  | const String & | dtype )

References casacore::name().

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLRecFldNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLRecFldNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLRecFldNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLRecFldNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsDtype

String casacore::TaQLRecFldNodeRep::itsDtype

Definition at line 1090 of file TaQLNodeDer.h.

## itsFromName

String casacore::TaQLRecFldNodeRep::itsFromName

Definition at line 1089 of file TaQLNodeDer.h.

## itsName

String casacore::TaQLRecFldNodeRep::itsName

Definition at line 1088 of file TaQLNodeDer.h.

## itsValues

TaQLNode casacore::TaQLRecFldNodeRep::itsValues

Definition at line 1091 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h